W(1)

NAZWA
w - wyświetlanie informacji, kto jest zalogowany i co robi.

SKŁADNIA
w [opcje] użytkownik [...]

OPIS
w wyświetla informacje o użytkownikach obecnych na maszynie oraz ich procesach. Nagłówek pokazuje, w tej kolejności, aktualny czas, jak długo system działa, jak wielu użytkowników jest obecnie zalogowanych oraz średnie obciążenie systemu przez ostatnie 1, 5 oraz 15 minut.

Dla każdego użytkownika wyświetlane są następujące wpisy: nazwa terminala (tty), host zdalny, czas zalogowania, czas bezczynności, JCPU, PCPU oraz linia poleceń bieżącego procesu.

Czas JCPU to czas wykorzystany przez wszystkie procesy podłączone do terminala. Nie obejmuje wcześniejszych zadań w tle, ale obejmuje procesy obecnie działające w tle.

Czas PCPU to czas wykorzystany przez bieżący proces, uwidoczniony w polu "co".

OPCJE LINII POLECEŃ

-h, --no-header
    Bez wypisywania nagłówka.

-u, --no-current
    Ignorowanie nazwy użytkownika przy sprawdzaniu bieżącego procesu i czasów procesora. Różnicę można zobaczyć po wykonaniu "su", a następnie "w" oraz "w -u".

-s, --short
    Użycie formatu krótkiego - bez wypisywania czasu zalogowania oraz czasów JCPU i PCPU.

-f, --from
    Przełączanie wyświetlania pola z (nazwy hosta zdalnego). Domyślnie w źródłach pole z nie jest wypisywane, ale administrator systemu lub dystrybutor mógł skompilować wersję, która domyślnie pokazuje pole z.

--help
    Wyświetlenie tekstu pomocy i zakończenie.

-i, --ip-addr
    Wyświetlanie adresu IP zamiast nazwy hosta w polu z.

-V, --version
    Wyświetlenie informacji o wersji.

-o, --old-style
    Wyjście w starym stylu. Wypisywanie pustego miejsca dla czasów bezczynności poniżej minuty.

użytkownik
    Wyświetlanie informacji tylko o podanym użytkowniku.

ŚRODOWISKO

PROCPS_USERLEN
    Nadpisanie domyślnej szerokości kolumny z nazwą użytkownika. Domyślnie 8.

PROCPS_FROMLEN
    Nadpisanie domyślnej szerokości kolumny z. Domyślnie 16.

PLIKI

/var/run/utmp
    informacja o tym, kto jest obecnie zalogowany

/proc
    informacje o procesach

ZOBACZ TAKŻE
free(1), ps(1), top(1), uptime(1), utmp(5), who(1)

AUTORZY
Program w został przepisany prawie w całości przez Charlesa Blake'a w oparciu o wersję, którą napisali Larry Greenfield (greenfie@gauss.rutgers.edu) oraz Michael K. Johnson (johnsonm@redhat.com)

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org